ranges::v3::concepts::Predicate Struct Reference
Inheritance diagram for ranges::v3::concepts::Predicate:

## Public Member Functions

template<typename Fun , typename... Args>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< ConvertibleTo, Invocable::result_t< Fun, Args... >, bool >()))
Public Member Functions inherited from ranges::v3::concepts::refines< RegularInvocable >
void | requires_ ()

## Additional Inherited Members

Public Types inherited from ranges::v3::concepts::refines< RegularInvocable >
using | base_concepts_t = meta::list< Concepts... >